* {
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;
  box-sizing: border-box;
  font-size: 14px;
}

/* ======================== COLORS ========================================= */

html {
  --bg: #f5f6f7;
  --color-text: #9c9c9c;
  --banner: #333333;
  --color-shadow: -4px -2px 4px 0px #ffffff,
  4px 2px 6px 0 #dfe4ea;
  --color-inset-shadow: inset -2px -2px 6px rgba(255,255,255,0.8),inset 2px 2px 6px rgba(0 ,0,0,0.1);
}

html[data-theme='dark']{
  --bg: #121212;
  --color-text: #e2e2e2;
  --banner: #fefefe;
  --color-shadow: -3px -3px 10px rgba(255,255,255,0.05), 3px 3px 15px rgba(0,0,0,0.5);
  --color-inset-shadow: inset -2px -2px 6px rgba(255,255,255,0.01), inset 2px 2px 6px rgba(0 ,0,0,0.8);   
}


/* ======================== GERAL ========================================= */

body{
  background: var(--bg);
  color: var(--color-text);
}

a{
  text-decoration: none;
}

.player{
  width: 80%;
  min-height: 550px;
  max-width: 300px;
  padding: 3rem 1.25rem;
  margin: 2rem auto;
  background: var(--bg);
  background-color: var(--color-shadow);
  border-radius: 15px;
  position: relative;
}

/* ======================== HEADER ========================================= */

.header{
  height: 40px;
  display: grid;
  grid-template-columns: 1fr 3fr 1fr;
  align-items: center;
  justify-items: center;
}

.header > .button{
  width: 2rem;
  height: 2rem;
  display: grid;
  align-items: center;
  justify-items: center;
  background: var(--bg);
  box-shadow: var(--color-shadow);
  border-radius: 5px;
}

/* ======================== MID ========================================= */

.image{
  display: block;
  width: 175px;
  height: 175px;
  object-fit: cover;
  margin: 1rem auto;
  border-radius: 50%;
  border: 4px solid #dcdfe2;
  box-shadow: var(--color-shadow);
}

.information{
  margin: 1.5rem 0;
  text-align: center;

}

.information h1{
  color: var(--black);
  font-weight: 500;
  margin-bottom: 0.5rem;
}

.information p{
  font-size: 1.15rem;
  color: var(--color-text);
}

/* ======================== PROGRESS ========================================= */

.progress{
  padding: 10px 0;
}

.progress-time{
  padding: 3px 5px;
  color: var(--color-text);
  font-weight: bold;
  display: flex;
  justify-content: space-between;
}

.progress-time > p{
  font-size: 0.65rem;
}

/* ======================== BUTTONS ========================================= */

.buttons{
  margin: 2rem 0;
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.button{
  color: var(--color-text);
  border-radius: 50%;
  margin: 0 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: var(--color-shadow);
}

.button-sm{
  width: 2rem;
  height: 2rem;
  opacity: 0.75;
}
.button-md{
  width: 2.5rem;
  height: 2.5rem;
  opacity: 0.85;
}
.button-lg{
  width: 3.25rem;
  height: 3.25rem;
  opacity: 1; 
}

/* ======================== BARRA ========================================= */  

.bar{
  width: 50%;
  height: 2px;
  margin: auto;
  background: var(--color-text);
  border-radius: 25px;
  position: absolute;
  transform: translate(-50% , -50%) ;
  left: 50%;
  bottom: 1rem;
}

.playpause.active{
  box-shadow: var(--color-inset-shadow);
}

.loop.active,
.shuffle:active,
.prev:active,
.next:active{
  box-shadow: var(--color-inset-shadow);
}

.fa-play{
  display: block;
}
.fa-pause{
  display: none;
}
.playpause.active .fa-play{
  display: none;
}
.playpause.active .fa-pause{
  display: block;
}

.seekslider{
  width: 100px;
  height: 3px !important;
  -webkit-appearance: none;
  border-radius: 10px;
  background: var(--color-text);
  z-index: 3;
  outline: none;
  position: fixed;
  margin-left: 82px;
  margin-top: 10px;
}


.seekslider::-webkit-slider-thumb{
  -webkit-appearance: none;
  width: 10px;
  height: 10px;
  background: var(--color-text);
  border-radius: 50%;
  cursor: pointer;
  outline: none;
  transform: scale(1);
}

.seekslider:active::-webkit-slider-thumb{
  transform: scale(1.2);
}
label{
  cursor: pointer;
}

input[type="checkbox"]{
  -webkit-appearance: none;
}
